Cancel order by user
curl --request POST \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-order/orders/user/cancel \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"cancellationCode": "2001",
"cancellationMessage": "Customer not interested"
}
'import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-order/orders/user/cancel"
payload = {
"cancellationCode": "2001",
"cancellationMessage": "Customer not interested"
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: '<authorization>',
'Content-Type': 'application/json'
},
body: JSON.stringify({cancellationCode: '2001', cancellationMessage: 'Customer not interested'})
};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-order/orders/user/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderId": "8568-9704-74294",
"status": "Successfully cancelled order"
}Order
Cancel order by user
Cancel order by user
POST
/
api-order
/
orders
/
user
/
cancel
Cancel order by user
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Query Parameters
Required string length:
15Example:
"2947-5955-82579"
Body
application/json
Was this page helpful?
⌘I
